## reportbug 4.12.6+deb6u1

=== Makefile ===
#! /usr/bin/make -f

# Makefile
# Part of reportbug, a Debian bug reporting tool.
#
# Copyright © 2008 Ben Finney <ben+debian@benfinney.id.au>
# This is free software; you may copy, modify and/or distribute this work
# under the terms of the GNU General Public License, version 2 or later.
# No warranty expressed or implied. See the file LICENSE for details.

# Makefile for reportbug project

SHELL = /bin/bash
PATH = /usr/bin:/bin

# Directories with semantic meaning
CODE_PACKAGE_DIR := .
CODE_PROGRAM_DIR := .
TEST_DIR := test

# Variables that will be extended by module include files
GENERATED_FILES :=
CODE_MODULES :=
CODE_PROGRAMS :=

# List of modules (directories) that comprise our 'make' project
MODULES += ${CODE_PACKAGE_DIR}
MODULES += ${TEST_DIR}

RM = rm


.PHONY: all
all: build

.PHONY: build
build:

.PHONY: install
install: build


.PHONY: clean
clean:
	$(RM) -rf ${GENERATED_FILES}


.PHONY: test
test:

.PHONY: qa
qa:

# Include the make data for each module
include $(patsubst %,%/module.mk,${MODULES})

.PHONY: checks
checks:
	PYTHONPATH=. $(PYTHON) checks/compare_pseudo-pkgs_lists.py

## reportbug 0.54.1

=== debian/changelog ===
reportbug (0.54.1) stable; urgency=high

  * Fix LDAP queries to handle new and weird severities.  (Closes: #90193)

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 18 Mar 2001 22:19:08 -0600

reportbug (0.54) frozen unstable; urgency=low

  * The "Chris should never take a vacation" release.
  * Got rid of now-redundant "i" option in BTS browser.  (Closes: #59601)
  * Reporting bugs in virtual packages works again.  (Closes: #59946, #60136)
  * 'boot-floppies' is used instead of 'bootdisk' for the virtual package
    for the boot subsystem.  (Closes: #59773)
  * #59334 was fixed in 0.52 (Closes: #59334)
  * Implement basic HTTP authorization in the URLopener subclass (by
    cheating and using FancyURLopener instead).  (Closes: #59980)
  * Disabled bug template support; removed our example file.  An
    implementation of the more flexible system used by 'bug' will appear
    when I actually have some time to code.
  
 -- Chris Lawrence <lawrencc@debian.org>  Fri, 10 Mar 2000 18:39:12 -0800

reportbug (0.53) frozen unstable; urgency=medium

  * Fix LDAP bug listing when severity field is missing.  (Closes: #59430)

 -- Chris Lawrence <lawrencc@debian.org>  Thu,  2 Mar 2000 09:53:11 -0600

reportbug (0.52) frozen unstable; urgency=low

  * Get an updated version into frozen, since 0.49-52 fix umpteen bugs.
    (Thanks to Josip Rodin for the suggestion.)
  * Improved long description.  (Closes: #59297)
  * Fix dopey typo in fix for #58230.  (Closes: #59298)
  * 'y' in the bug browser now drops you into the "provide more
    information" path.  (Closes: #59300)
  * These changes all thanks to Joey Hess.

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 29 Feb 2000 18:11:15 -0600

reportbug (0.51) unstable; urgency=low

  * debianbts.py: Fix problem that can occur if an older version of the
    LDAP libraries is installed; also fix related problem that occurs if
    ldap module is not installed.  (Closes: #59161)
  * reportbug: add '--bts-query' option (Closes: #57790)
  * reportbug.py: add "bug details template" support to the package.  This
    supports providing a per-package set of instructions to the user that
    will (hopefully) help the maintainer track down the bug more easily.
    It uses a file /usr/share/doc/{package}/Debian.bugtemplate, which
    should contain some special instructions for the user.  A lame example
    of this template appears in this package.  (Closes: #58816)
  * reportbug: Added maintainer name to spam.  (Closes: #58230)
  * reportbug: You can now view the modified configuration files before
    deciding whether or not to send them.  (Closes: #57710)
  * debianbts.py: The date and the submitter are listed for bugs in the
    LDAP database.  (Closes: #57711)
  * Added build dependency; updated to Standards Version 3.1.1.0

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 27 Feb 2000 21:59:16 -0600

reportbug (0.50) unstable; urgency=low

  * debianbts.py: handle LDAP database entries without subjects.
    (Closes: #56663)
  * reportbug.py: handle EMAIL/DEBEMAIL properly if it contains a full
    "Real Name <user@host>".  (Closes: #56678)
  * Note that #56523 and #56678 have not shown up on the RC list; if they
    do, I will release a 0.48.1 containing those fixes only.

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 30 Jan 2000 21:25:38 -0600

reportbug (0.49) unstable; urgency=low

  * reportbug: really fix race conditions.  (Closes: #56523)
    Thanks to Colin Phipps for the patch.
  * querybts: don't crash when a bug requested by number can't be
    found. (Closes: #56296)
  * querybts: don't go funky when launching a text-mode browser from a
    numbered report.
  * reportbug: disallowed sending the report if it's unmodified; tried to
    work around cases where the editor is backgrounded.  (Closes: #56339)
  * Added support for Mandrake's debbugs system (as "mandrake").
  * Close spurious bug report caused while submitter was testing bug fixes
    to #56523.  (Closes: #56521)

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 28 Jan 2000 22:02:10 -0600

reportbug (0.48) unstable; urgency=low

  * Properly report forwarded bugs when using the LDAP database.
  * Interrupt in querybts actually works right, now.
  * Note that 'querybts -w' will show the full story behind a bug report
    in the man page.  Also added an option to launch a browser from the
    bug report page.  (Closes: #49156)
  * Fixed "missing screens when in xterm/rxvt" problem in querybts.
    (Closes: #49151)
  * Import readline to avoid problems with keyboard stuff.  (Closes: #51337)

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 15 Jan 2000 12:25:22 -0600

reportbug (0.47) unstable; urgency=low

  * reportbug now works without python-ldap; downgrade python-ldap to a
    suggestion, since it brings in lots of bloat packages and is of
    priority extra.
  * Remove suggestion of mail-reader.  Specific mail readers
    (af, mutt, nmh, mh) permit extra features, but all of them don't.
  * Added word "new" to clean up a message.  (Closes: #54030)

 -- Chris Lawrence <lawrencc@debian.org>  Tue,  4 Jan 2000 06:24:45 -0600

reportbug (0.46) unstable; urgency=low

  * Work-around apparent bug in python-ldap.  (Closes: #52459, #52467, #52474)
  * "Extra info" option in reportbug is now 'i', not 'x'.  (Closes: #52308)
  * You can now enter a bug number at the "Is the bug you found..."
    prompt. (Closes: #52309)
  * Cleaned up Ctrl-C exit from querybts.
  
 -- Chris Lawrence <lawrencc@debian.org>  Fri, 10 Dec 1999 23:57:25 -0600

reportbug (0.45) unstable; urgency=low

  * Declare dependency on whiptail.  (Really Closes: #51682)
  * Upgrade python-newt to dependency, since querybts seems ready for
    prime-time (despite a few cosmetic bugs).

 -- Chris Lawrence <lawrencc@debian.org>  Mon,  6 Dec 1999 23:41:44 -0600

reportbug (0.44) unstable; urgency=low

  * Disable smtphost if mua is enabled.  (Closes: #50754)
  * Handle LDAP exceptions better, using new features in python-ldap 1.8-1.


=== debian/control ===
Source: reportbug
Section: utils
Priority: optional
Maintainer: Chris Lawrence <lawrencc@debian.org>
Standards-Version: 3.1.1.0
Build-Depends: debhelper

Package: reportbug
Architecture: all
Depends: python-base (>= 1.5.2-4), whiptail, python-newt
Suggests: mail-transport-agent, gnupg | pgp, python-ldap (>= 1.8-1)
Description: Reports bugs in the Debian distribution.
 This package allows you to report bugs in the Debian distribution and
 other programs.  It is similar to the "bug" package, but has the
 following differences from "bug":
 .
  * It's smarter about files that can be found in multiple packages.
  * You can use any of several mail readers to edit and send the
    report, instead of using the built-in mailer.  It also has a
    built-in SMTP capability, for use on systems without an installed MTA.
  * It checks the bug tracking system for outstanding reports, using
    either LDAP or HTTP, and can check local mirrors of the BTS.
  * It supports a number of other debbugs servers (GNOME, KDE, TDYC, Mandrake).
  * You can sign bug reports with GnuPG or PGP.
  * Supports per-user and system-wide configuration files.
  * Includes a standalone "BTS browser" program, querybts.
 .
 It is intended to be mostly "user-compatible" with bug; i.e., it
 looks and works similarly from the user's perspective, as far as is
 reasonable (given the larger feature set of reportbug).

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of dh_make, by Craig Small -*- makefile -*-
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	echo 'No make needed.'

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	# Add here commands to clean up after the build process.
	rm -rf `find . -name '*~' -o -name '*.py[co]'` test sed-script

	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	@echo "s/##VERSION##/`head -1 debian/changelog | sed -e 's/[^(]*(\([^)]*\).*/\1/'`/g" > sed-script
	cat sed-script

	# Add here commands to install the package into debian/tmp.
	sed -f sed-script < reportbug > `pwd`/debian/tmp/usr/bin/reportbug
	sed -f sed-script < querybts > `pwd`/debian/tmp/usr/bin/querybts
	chmod 0755 `pwd`/debian/tmp/usr/bin/*
	#sed -f sed-script < greportbug > `pwd`/debian/tmp/usr/bin/greportbug
	sed -f sed-script < reportbug.py > `pwd`/debian/tmp/usr/lib/site-python/reportbug.py
	sed -f sed-script < debianbts.py > `pwd`/debian/tmp/usr/lib/site-python/debianbts.py
	cp -p reportbug.conf `pwd`/debian/tmp/etc

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdocs TODO
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installinit
	dh_installcron
	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
#	dh_makeshlibs
	dh_md5sums
	dh_builddeb

source diff:								      
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## reportbug 1.50

=== debian/changelog ===
reportbug (1.50) unstable; urgency=low

  * Fix a really stupid error in pseudoheader parsing that made
    Followup-For headers vanish without a trace.

 -- Chris Lawrence <lawrencc@debian.org>  Thu,  4 Apr 2002 13:46:12 -0600

reportbug (1.49) unstable; urgency=low

  * Fix an off-by-one error that prevented selecting bug #1 in the text
    interface.

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 18 Mar 2002 02:38:24 -0600

reportbug (1.48) unstable; urgency=high

  * Fix stupid typo introduced in 1.47.  (Closes: #137872)

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 11 Mar 2002 19:00:23 -0600

reportbug (1.47) unstable; urgency=medium

  * Roll back sensible-editor change in 1.43, as it broke the
    auto-goto-line support.

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 10 Mar 2002 13:03:37 -0600

reportbug (1.46) unstable; urgency=low

  * Eliminate duplicate headers when MTA fails.  (Closes: #100595)
    (What I deserve for having code that has too many identical-looking
    blocks in it...)

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 10 Mar 2002 06:22:24 -0600

reportbug (1.45) unstable; urgency=medium

  * Add range checking to bug report numbers.  (Closes: #137542)
  * Add confirmation prompt for reports to bugs.debian.org and debbugs, as
    a number of problems in reportbug seem to be being reported to those
    packages instead.

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 10 Mar 2002 06:01:28 -0600

reportbug (1.44) unstable; urgency=low

  * Rename {CC,BCC} as MAIL{CC,BCC}.  (Closes: #135063)
  * Document that querybts allows bug numbers in querybts(1).
    (Closes: #134692)
  * Only include X-Reportbug-Version header if an MUA is used.
    (Closes: #133294)
  
 -- Chris Lawrence <lawrencc@debian.org>  Sat, 23 Feb 2002 02:22:10 -0600

reportbug (1.43) unstable; urgency=low

  * Disabled removing the "System Information" trailer from bug reports
    in the text interface.  (Closes: #132745)
  * Reduced the uid cutoff for admin users to 250.  (Closes: #133213)
  * Somehow, the mh command line was different when 'mh' was specified in
    the rc file and when it was set up using --mh.  (Closes: #132364)
  * Revert #131610, per policy.  (Closes: #132963)
    On Debian systens, use /usr/sbin/sensible-editor as the default, which
    handles $VISUAL and $EDITOR in accordance with policy.
  * If Y provides X, you can now report bugs in X too.  (Closes: #132271)
  * Ignore (at least some) reportbug 2.0 extensions in .reportbugrc.

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 10 Feb 2002 12:16:33 -0600

reportbug (1.42) unstable; urgency=medium

  * I give up on sqrt(2)...
  * Wishlist items from here out will only be implemented in the
    (not-yet-released) experimental branch.
  * WNPP support now works with source and unknown packages.  (Closes: #131765)
  * No longer prompt when the subject was generated by the WNPP support.
    (Closes: #131100)
  * Silly me forgot that string.strip() gets rid of leading whitespace, so
    my implementation of #131472 didn't work.  Now it does, and it's been
    tested.  (Closes: #131472)
  * The mutt message has been defanged (for most, at least).  Subsequent
    reports of this issue will be merged with #131100.  You have been warned.
  * Added a diagnostic routine, per README.developers spec.
    (It also shows how to write one in something other than bash.)
  
 -- Chris Lawrence <lawrencc@debian.org>  Fri,  1 Feb 2002 03:33:38 -0600

reportbug (1.41.1421356) unstable; urgency=medium

  * Use $EDITOR in preference to $VISUAL.  (Closes: #131610)
    This makes reportbug act like the man page claims it does.
  * Back off a bit on #131100, due to popular demand.  Just checking to
    see if anyone is actually using these packages...
  * Fix WNPP support to use source packages, not binary packages, when
    orphaning or RFA'ing a package.  (Closes: #131471)
  * Include the full description of an WNPP'd package.  (Closes: #131472)
  * Modified the prompt when the BTS browser is in standalone mode.
    (Closes: #129732)

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 30 Jan 2002 21:41:46 -0600

reportbug (1.41.142135) unstable; urgency=low

  * It'd be nice if this were the last release for woody...
  * Handle .'s in the realname part of addresses correctly, as
    rfc822.quote() doesn't seem to work right.  (Closes: #127637)
  * Add message warning certain users not to attach stuff in external
    programs until debbugs is fixed to handle MIME correctly, at which
    time this message will look incredibly stupid.  "Fixes" my part of
    #131100 ("Chris should never have let people edit messages in programs
    that can attach MIME, and therefore is responsible for problems in
    debbugs.").  Alternate solution: disable --mutt.  Y'alls' choice.
  * Update copyright year in modified files.
  * Warn if subject > 60 characters.  (Closes: #129099)
  * Added security.debian.org to valid pseudopackages.  (Closes: #129889)
  * Warn if run with uid < 500.  (Closes: #128936)
    (I chose 500 since systems converted from other distributions may have
    real users with IDs >= 500.)

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 27 Jan 2002 17:41:41 -0600

reportbug (1.41.14213) unstable; urgency=medium

  * The "hopefully we won't run out of double precision in sqrt(2)" release.
  * Work around lack of socket.fqdn() in Python 1.5.2 by swiping the
    routine from Python 2.1+ and backporting.  This only affects systems
    that didn't have a valid /etc/mailname, and thus would have died
    running reportbug (< 1.41.14) anyway. (Closes: #126867)

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 30 Dec 2001 00:38:18 -0800

reportbug (1.41.1421) unstable; urgency=low

  * Ignore empty $EDITOR or $VISUAL.  (Closes: #126178)
  * Document $BROWSER.  (Closes: #125820)

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 23 Dec 2001 01:35:31 -0600

reportbug (1.41.142) unstable; urgency=medium

  * Fix email specification bug.  (Closes: #125587)


=== debian/control ===
Source: reportbug
Section: utils
Priority: standard
Maintainer: Chris Lawrence <lawrencc@debian.org>
Standards-Version: 3.5.0.0
Build-Depends-Indep: debhelper (>= 2.2.0)

Package: reportbug
Architecture: all
Depends: python
Conflicts: python (>> 2.3), python-newt (= 0.50.17-7.1)
Recommends: python-newt
Suggests: postfix | mail-transport-agent, gnupg | pgp, python-ldap (>= 1.8-1)
Description: Reports bugs in the Debian distribution.
 reportbug is a tool designed to make the reporting of bugs in Debian
 and derived distributions relatively painless.  Its features include:
 .
  * Integration with the mutt, af, and mh/nmh mail readers.
  * Access to outstanding bug reports to make it easier to identify
    whether problems have already been reported.
  * Support for following-up on outstanding reports.
  * Optional PGP/GnuPG integration.
 .
 reportbug is designed to be used on systems with an installed mail
 transport agent, like exim or sendmail; however, you can edit the
 configuration file and send reports using any available mail server.

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+export DH_COMPAT=3
 
 build: build-stamp
 build-stamp:
@@ -35,14 +36,17 @@
 	@echo "s/##VERSION##/`head -1 debian/changelog | sed -e 's/[^(]*(\([^)]*\).*/\1/'`/g" > sed-script
 	cat sed-script
 
-	# Add here commands to install the package into debian/tmp.
-	sed -f sed-script < reportbug > `pwd`/debian/tmp/usr/bin/reportbug
-	sed -f sed-script < querybts > `pwd`/debian/tmp/usr/bin/querybts
-	chmod 0755 `pwd`/debian/tmp/usr/bin/*
-	#sed -f sed-script < greportbug > `pwd`/debian/tmp/usr/bin/greportbug
-	sed -f sed-script < reportbug.py > `pwd`/debian/tmp/usr/lib/site-python/reportbug.py
-	sed -f sed-script < debianbts.py > `pwd`/debian/tmp/usr/lib/site-python/debianbts.py
-	cp -p reportbug.conf `pwd`/debian/tmp/etc
+	# Add here commands to install the package into debian/reportbug.
+	sed -f sed-script < reportbug > `pwd`/debian/reportbug/usr/bin/reportbug
+	sed -f sed-script < querybts > `pwd`/debian/reportbug/usr/bin/querybts
+	chmod 0755 `pwd`/debian/reportbug/usr/bin/*
+	#sed -f sed-script < greportbug > `pwd`/debian/reportbug/usr/bin/greportbug
+	sed -f sed-script < reportbug.py > `pwd`/debian/reportbug/usr/lib/site-python/reportbug.py
+	sed -f sed-script < debianbts.py > `pwd`/debian/reportbug/usr/lib/site-python/debianbts.py
+	cp -p reportbug_ui_*.py `pwd`/debian/reportbug/usr/lib/site-python/
+	cp handle_bugscript `pwd`/debian/reportbug/usr/share/reportbug
+	cp -p reportbug.conf `pwd`/debian/reportbug/etc
+	cp -p bugscript `pwd`/debian/reportbug/usr/share/bug/reportbug
 
 	touch install-stamp
 
@@ -55,7 +59,7 @@
 #	dh_testversion
 	dh_testdir
 	dh_testroot
-	dh_installdocs TODO
+	dh_installdocs
 	dh_installexamples
 	dh_installmenu
 #	dh_installemacsen
@@ -68,7 +72,6 @@
 	dh_strip
 	dh_compress
 	dh_fixperms
-	dh_suidregister
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol

## reportbug 2.62ubuntu1

=== debian/changelog ===
reportbug (2.62ubuntu1) warty; urgency=low

  * [debianbts.py] Add an 'ubuntu' BTS entry
  * [reportbug.conf] Make 'ubuntu' the default BTS
  * [reportbug.conf] Don't check for newer versions of packages

 -- Matt Zimmerman <mdz@canonical.com>  Sat, 18 Sep 2004 02:12:06 -0700

reportbug (2.62) unstable; urgency=low

  * Cope better with Origin fields in Packages file, since there seem to
    be a lot more coming through now.  (Closes: #255754)
  * Remove severity-inflation reduction code in novice mode; it was too
    confusing, apparently.  Maybe reportbug should just refuse to run in
    novice mode... (Closes: #254327, #255479)
  * Don't include severity info or other cruft in bug followups.
    (Closes: #255550)
  * Hide sid tag, as it's not generally useful for end users.
    (Closes: #252275)
  * keyid was left out of CONFIG_ARGS accidentally.  (Closes: #255044)
  * Just because debsums can't read a file doesn't stop reportbug from
    working (unless you tell it to stop).  (Closes: #250397)
  * Fix undefined locals when --package-version is used.  (Closes: #254818)
  * Barf if no subject is found after calling the editor.
    (Closes: #254687)
  * Fix choose mailer menu.  (Closes: #253003)

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 22 Jun 2004 17:53:43 -0500

reportbug (2.61) unstable; urgency=low

  * Add support for the "report-with" header in bug control files.  Thanks
    to Chris Halls and Andrew McMillan for the idea and implementation.
    (Closes: #251327)
  * Convert README.developers to Unicode UTF-8.
  * Convert maintainer fields from UTF-8 to local character set.
    (Closes: #244478)
  * Remove "bts debian" setting from reportbug.conf.
  * Clarify "will send report to X" chat.  (Closes: #247773)

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 28 May 2004 23:29:39 -0500

reportbug (2.60) unstable; urgency=high

  * Properly set installed flag when reporting bugs on source packages.
    (Closes: #250186)
  * Changed -d so it now mails bug reports to the detected from address,
    rather than me.
  * Bumped priority so this should get into testing before the
    new Python hits testing (see #249084).

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 21 May 2004 05:43:55 -0500

reportbug (2.59) unstable; urgency=low

  * Replace some substring indexing with .endswith() calls.  This should
    fix problems with the latest Python release.  (Closes: #249084)

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 14 May 2004 18:35:58 -0500

reportbug (2.58) unstable; urgency=low

  * I forgot to add the new smtp* options to CONFIG_ARGS.
    (Closes: #244989)

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 20 Apr 2004 22:37:35 -0500

reportbug (2.57) unstable; urgency=low

  * Document that reportbug's --smtphost option also accepts an optional
    port (e.g. '--smtphost mail.debian.org:3125').  (Closes: #243266)

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 20 Apr 2004 17:34:28 -0500

reportbug (2.56) unstable; urgency=medium

  * Improve the robustness of the attachment code.  (Closes: #240815)

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 29 Mar 2004 16:59:51 -0600

reportbug (2.55) unstable; urgency=low

  * Add --exit-prompt option and use it in the menu entry.
    (Closes: #239272)

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 26 Mar 2004 18:31:01 -0600

reportbug (2.54) unstable; urgency=low

  * Fix smtpuser code path: smtpuser -> options.smtpuser.
    (Closes: #238728)

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 19 Mar 2004 20:43:19 -0600

reportbug (2.53) unstable; urgency=medium

  * Properly handle the "no bugs found" case in the newt interface of
    querybts.  (Closes: #237956)

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 15 Mar 2004 03:00:17 -0600

reportbug (2.52) unstable; urgency=medium

  * Support new packages.debian.org pages.  (Closes: #237068)

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 11 Mar 2004 16:21:34 -0600

reportbug (2.51) unstable; urgency=low

  * Support reporting bugs in source packages that have exactly one binary
    package (e.g. debian-installer).  (Closes: #236672)

 -- Chris Lawrence <lawrencc@debian.org>  Mon,  8 Mar 2004 01:15:24 -0600

reportbug (2.50) unstable; urgency=low

  * Add support for completing package names at the enter a package name
    prompt.
  * Move the calls to /usr/share/bug/* after the package check.
    (Closes: #236251)
  * Add support for SMTP TLS and authentication.  (Closes: #236335)

 -- Chris Lawrence <lawrencc@debian.org>  Fri,  5 Mar 2004 14:47:35 -0600

reportbug (2.49) unstable; urgency=low

  * Skip the unknown policy warning, as snapshot.debian.net confuses this
    code.  (Closes: #233587)

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 28 Feb 2004 05:09:05 -0600

reportbug (2.48) unstable; urgency=medium

  * Add --body and --body-file options.  These options are provided to
    make scripting of reportbug easier; they are strongly *discouraged*
    for routine use.  (Closes: #233210)
  * Add --keyid option.  (Closes: #232896)
  * Improve wording of the "serious" severity.  (Closes: #233300)
  * Fix crashers related to #232590.  (Closes: #233026, #233299)
  * Wrap the "check your email for the bug number" message.

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 17 Feb 2004 20:21:53 -0600

reportbug (2.47) unstable; urgency=medium

  * The "It was Valentine's Day and all I did was hack on reportbug"
    release.
  * Downgrade python2.3-iconvcodec to a recommendation.
  * Recommend python2.3-cjkcodecs; since non-CJK users don't need the 1 MB
    CJK codec for proper operation, a strict dependency on cjkcodecs is
    inappropriate.  (Closes: #232642)
  * Warn if the locale's specified encoding can't be handled by Python's
    detected codecs.
  * Document the recommendations in the control file and NEWS.Debian.

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 14 Feb 2004 15:21:56 -0600

reportbug (2.46) unstable; urgency=medium



## reportbug 2.62ubuntu1.1

=== debian/changelog ===
reportbug (2.62ubuntu1.1) warty-security; urgency=low

  * SECURITY UPDATE: Fix information disclosure.
  * reportbug: Create user configuration file with 0600 permissions. Previous
    world-readability could expose smarthost logins and passwords.
    (Debian #295407, Ubuntu #6600)
  * script: Omit the value of "smtppasswd" in generated bug reports. 
    (Debian: #295853, Ubuntu #6717)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 28 Feb 2005 13:10:26 +0100

=== debian/control ===
Source: reportbug
Section: utils
Priority: standard
Maintainer: Chris Lawrence <lawrencc@debian.org>
Standards-Version: 3.6.1
Build-Depends-Indep: debhelper (>> 4), python2.3 (>= 2.3-4)

Package: reportbug
Architecture: all
Depends: python2.3
Recommends: python2.3-cjkcodecs | python2.3-iconvcodec
Suggests: postfix | exim4 | mail-transport-agent, gnupg | pgp, debconf-utils (>> 1.1.0), debsums, file (>> 1.30)
Description: Reports bugs in the Debian distribution
 reportbug is a tool designed to make the reporting of bugs in Debian
 and derived distributions relatively painless.  Its features include:
 .
  * Integration with the mutt, af, and mh/nmh mail readers.
  * Access to outstanding bug reports to make it easier to identify
    whether problems have already been reported.
  * Automatic checking for newer versions of packages.
  * Optional automatic verification of integrity of packages via debsums.
  * Support for following-up on outstanding reports.
  * Optional PGP/GnuPG integration.
 .
 reportbug is designed to be used on systems with an installed mail
 transport agent, like exim or sendmail; however, you can edit the
 configuration file and send reports using any available mail server.
 .
 If your system's users use locales with character sets other than
 UTF-8 and ISO-8859-*, one of either python2.3-cjkcodecs or
 python2.3-iconvcodec is required for proper operation.  For Asian
 locales, the use of python2.3-cjkcodecs is preferred over the more
 limited python2.3-iconvcodec.

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 	rm -f build-stamp install-stamp
 
 	# Add here commands to clean up after the build process.
-	rm -rf `find . -name '*~' -o -name '*.py[co]'` test sed-script
+	rm -rf `find . -name '*~' -o -name '.#*' -o -name '*.orig' -o -name '*.rej' -o -name '*.py[co]'` test sed-script
 
 	dh_clean
 
@@ -37,16 +37,19 @@
 	cat sed-script
 
 	# Add here commands to install the package into debian/reportbug.
-	sed -f sed-script < reportbug > `pwd`/debian/reportbug/usr/bin/reportbug
-	sed -f sed-script < querybts > `pwd`/debian/reportbug/usr/bin/querybts
+	debian/install-sed /usr/bin reportbug querybts
+	debian/install-sed /usr/share/reportbug *.py
+	# Copy correct email module into place under the reportbug private path
+	#mkdir `pwd`/debian/reportbug/usr/share/reportbug/email
+	#cp -vr /usr/lib/python2.3/email/*.py `pwd`/debian/reportbug/usr/share/reportbug/email
+	# Remove unneeded .py files
+	rm `pwd`/debian/reportbug/usr/share/reportbug/urllib2.py
+	rm `pwd`/debian/reportbug/usr/share/reportbug/test_hiermatch.py
+
 	chmod 0755 `pwd`/debian/reportbug/usr/bin/*
-	#sed -f sed-script < greportbug > `pwd`/debian/reportbug/usr/bin/greportbug
-	sed -f sed-script < reportbug.py > `pwd`/debian/reportbug/usr/lib/site-python/reportbug.py
-	sed -f sed-script < debianbts.py > `pwd`/debian/reportbug/usr/lib/site-python/debianbts.py
-	cp -p reportbug_ui_*.py `pwd`/debian/reportbug/usr/lib/site-python/
-	cp handle_bugscript `pwd`/debian/reportbug/usr/share/reportbug
+	cp handle_bugscript reportbug.el `pwd`/debian/reportbug/usr/share/reportbug
 	cp -p reportbug.conf `pwd`/debian/reportbug/etc
-	cp -p bugscript `pwd`/debian/reportbug/usr/share/bug/reportbug
+	cp -p presubj script `pwd`/debian/reportbug/usr/share/bug/reportbug/
 
 	touch install-stamp

## reportbug 3.5ubuntu5

=== debian/changelog ===
reportbug (3.5ubuntu5) hoary; urgency=low

  * SECURITY UPDATE: Fix information disclosure.
  * reportbug: Create user configuration file with 0600 permissions. Previous
    world-readability could expose smarthost logins and passwords.
    (Debian #295407, Ubuntu #6600)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 28 Feb 2005 12:50:50 +0100

reportbug (3.5ubuntu4) hoary; urgency=low

  * ops, finally fixed, used the wrong reportbug.conf, from testsys    

 -- Andreas Mueller <amu@ubuntu.com>  Tue, 25 Jan 2005 22:03:31 +0100

reportbug (3.5ubuntu3) hoary; urgency=low

  * changed default bts ito ubuntu in reportbug.conf
    (Hoary: #5855)

 -- Andreas Mueller <amu@ubuntu.com>  Tue, 25 Jan 2005 19:37:01 +0100

reportbug (3.5ubuntu2) hoary; urgency=low

  * Fix sync fallout, use python2.4. Closes: #5474.

 -- Matthias Klose <m@klose.in-berlin.de>  Fri, 14 Jan 2005 09:48:05 +0100

reportbug (3.5ubuntu1) hoary; urgency=low

  * Sync with Debian (Hoary: #5308)
  * Fix line endings in reportbug.conf inclusion code.
  * Allow reporting bugs on dummy/dependency packages with single
    dependencies in advanced and expert modes.  (Closes: #286159)
	
 -- Andreas Mueller <amu@canonical.com>  Wed, 12 Jan 2005 20:29:41 +0100

reportbug (3.4ubuntu1) hoary; urgency=low

  * Resynchronise with Debian.

 -- Scott James Remnant <scott@canonical.com>  Sat, 18 Dec 2004 12:51:34 +0000

reportbug (3.4) unstable; urgency=low

  * Parse 'lsb_release -si' to decide what BTS to use if nothing else fits;
    any Origin or Bugs information in the control file will be obeyed first.
    (This should be the final bit needed for transparent Ubuntu support.)
  * Fix options.bts bug introduced in fixing #283035.  (Closes: #284811)
  * reportbug.conf was fixed in 3.3.  (Closes: #284692)

 -- Chris Lawrence <lawrencc@debian.org>  Wed,  8 Dec 2004 19:38:17 -0600

reportbug (3.3) unstable; urgency=low

  * Correct option name for SMTP password in reportbug.conf.
    (Closes: #284277)
  * Omit smtppasswd value from reportbug.conf included in bug reports
    filed against reportbug.  (Closes: #284391)
  * Check attachments at prompt for readability and "fileness".
    (Closes: #284528, #283148)
  * Update patter to indicate that bug acks may take longer than a "few
    minutes" to appear.  (Closes: #283644)
  * Add French manual page.  (Closes: #281505)
  * Add support for 'reportbug other'.  (Closes: #283035)

 -- Chris Lawrence <lawrencc@debian.org>  Tue,  7 Dec 2004 05:41:55 -0600

reportbug (3.2ubuntu2) hoary; urgency=low

  * Use python2.4.

 -- Matthias Klose <m@klose.in-berlin.de>  Wed, 15 Dec 2004 20:11:31 +0100

reportbug (3.2ubuntu1) hoary; urgency=low

  * Resynchronise with Debian.

 -- LaMont Jones <lamont@canonical.com>  Mon, 22 Nov 2004 20:43:56 -0700

reportbug (3.2) unstable; urgency=low

  * Apply patch from Ian Wienand to improve the failure mode when an
    attachment can't be included in the outgoing message.
    (Closes: #226729, #265112)
  * Fix another corner case where version numbers were being assumed for
    uninstalled packages (although I can't completely confirm it fixes the
    problem reported since the submitter foolishly removed the name of the
    package that he had a problem with from his report).
    (Closes: #279917)

 -- Chris Lawrence <lawrencc@debian.org>  Mon,  8 Nov 2004 02:22:05 -0600

reportbug (3.1ubuntu1) hoary; urgency=low

  * Resynchronise with Debian.

 -- Scott James Remnant <scott@canonical.com>  Wed, 27 Oct 2004 14:40:55 +0100

reportbug (3.1) unstable; urgency=low

  * Trap message send failure in the pipe.write() call.  (Closes: #277870)

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 24 Oct 2004 13:37:40 -0500

reportbug (3.0) unstable; urgency=low

  * Apply locale information patch from Adeodato Simo.  (Closes: #277445)
  * Prompt again for package version of uninstalled packages; this was an
    unintentional bug.  (Closes: #276961)
  * Clarify that the filter option is also a search option in the help.
    (Closes: #277745)

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 22 Oct 2004 06:18:29 -0500

reportbug (2.99.6) unstable; urgency=low

  * Initialize src_name.  (Closes: #276260)
  * Use from address instead of to address when calling sendmail -f.
    (Closes: #275925)
  * Fix package/filename search bug.  (Closes: #275677, #276222)
  * Show the NEWBIELINE in standard mode.  (Closes: #275695)
  * Revise SMTP server prompt yet again.  (Closes: #275576)

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 14 Oct 2004 21:44:59 -0500

reportbug (2.99.5) unstable; urgency=low

  * Use source package name to query BTS when querying on source.
    (Closes: #273209)
  * Ensure shell parameters are escaped by calling commands.mkarg().
    (Closes: #272897)
  * Search for "all" architecture in addition to machine architecture at
    packages.debian.org.  Thanks to Wolfgang Rohdewald for the patch.
    (Closes: #274189, #271552)
  * Document SMTP options in reportbug.conf.  (Closes: #274280)
  * Don't check packages.debian.org if options.bts is set to something
    other than "debian".
  * Incorporate applicable changes in 2.62ubuntu1 to this tree.
  
    (Main advantage: --bts=ubuntu works now.  If someone will kindly tell
    me an easy way to tell a Ubuntu system from a Debian one, I will
    incorporate code to eliminate the need for the forked package.  Same
    goes for any other Debian fork, BTW...)

 -- Chris Lawrence <lawrencc@debian.org>  Fri,  1 Oct 2004 03:23:05 -0500

reportbug (2.99.4) unstable; urgency=low

  * Add "paranoid" mode; shows the exact message that will be sent via
    SMTP before it happens.  Also include a bit more chatter to clarify
    how messages are being sent.  (Closes: #272306)
  * Include additional arguments in BTS query string to suppress the
    headers and footers, in case a proxy (e.g. Privoxy) rewrites the
    User-Agent header.  (Closes: #226491)

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 19 Sep 2004 19:46:37 -0500



=== debian/control ===
--- 
+++ 
@@ -3,12 +3,11 @@
 Priority: standard
 Maintainer: Chris Lawrence <lawrencc@debian.org>
 Standards-Version: 3.6.1
-Build-Depends-Indep: debhelper (>> 4), python2.3 (>= 2.3-4)
+Build-Depends-Indep: debhelper (>> 4.2.28), python2.4
 
 Package: reportbug
 Architecture: all
-Depends: python2.3
-Recommends: python2.3-cjkcodecs | python2.3-iconvcodec
+Depends: python2.4
 Suggests: postfix | exim4 | mail-transport-agent, gnupg | pgp, debconf-utils (>> 1.1.0), debsums, file (>> 1.30)
 Description: Reports bugs in the Debian distribution
  reportbug is a tool designed to make the reporting of bugs in Debian
@@ -25,9 +24,3 @@
  reportbug is designed to be used on systems with an installed mail
  transport agent, like exim or sendmail; however, you can edit the
  configuration file and send reports using any available mail server.
- .
- If your system's users use locales with character sets other than
- UTF-8 and ISO-8859-*, one of either python2.3-cjkcodecs or
- python2.3-iconvcodec is required for proper operation.  For Asian
- locales, the use of python2.3-cjkcodecs is preferred over the more
- limited python2.3-iconvcodec.

## reportbug 3.8

=== debian/changelog ===
reportbug (3.8) unstable; urgency=medium

  * Create .reportbugrc with mode 600.  (Closes: #295407)
  * Drop references to bug(1) from man page.  (Closes: #293188)
  * Don't send Bcc field in messages to any external programs.

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 15 Feb 2005 11:50:53 -0600

reportbug (3.7.1) unstable; urgency=low

  * Import sys call was forgotten in fix for #292340.

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 27 Jan 2005 08:01:06 -0600

reportbug (3.7) unstable; urgency=low

  * Actually exit when user decides to abort after network connection is
    not detected.  (Closes: #292348)
  * Better error message (than traceback) when user supplies invalid
    $http_proxy.  (Closes: #292340)

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 26 Jan 2005 19:58:59 -0600

reportbug (3.6) unstable; urgency=low

  * Add support for owner tags in WNPP bugs.  (Closes: #288268)
  * Trap IOError in call to pager.  (Closes: #289331)
  * Always issue presubj message, even if -s specified.  (Closes: #289516)

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 19 Jan 2005 22:56:02 -0600

reportbug (3.5) unstable; urgency=low

  * Fix line endings in reportbug.conf inclusion code.
  * Allow reporting bugs on dummy/dependency packages with single
    dependencies in advanced and expert modes.  (Closes: #286159)

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 17 Dec 2004 22:00:56 -0600

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,14 @@
 Priority: standard
 Maintainer: Chris Lawrence <lawrencc@debian.org>
 Standards-Version: 3.6.1
-Build-Depends-Indep: debhelper (>> 4.2.28), python2.4
+Build-Depends-Indep: debhelper (>> 4), python2.3 (>= 2.3-4)
 
 Package: reportbug
 Architecture: all
-Depends: python2.4
+Depends: python2.3
+Recommends: python2.3-cjkcodecs | python2.3-iconvcodec
 Suggests: postfix | exim4 | mail-transport-agent, gnupg | pgp, debconf-utils (>> 1.1.0), debsums, file (>> 1.30)
-Description: Reports bugs in the Debian distribution
+Description: reports bugs in the Debian distribution
  reportbug is a tool designed to make the reporting of bugs in Debian
  and derived distributions relatively painless.  Its features include:
  .
@@ -24,3 +25,9 @@
  reportbug is designed to be used on systems with an installed mail
  transport agent, like exim or sendmail; however, you can edit the
  configuration file and send reports using any available mail server.
+ .
+ If your system's users use locales with character sets other than
+ UTF-8 and ISO-8859-*, one of either python2.3-cjkcodecs or
+ python2.3-iconvcodec is required for proper operation.  For Asian
+ locales, the use of python2.3-cjkcodecs is preferred over the more
+ limited python2.3-iconvcodec.

=== debian/rules ===
--- 
+++ 
@@ -33,7 +33,7 @@
 	dh_clean -k
 	dh_installdirs
 
-	@echo "s/##VERSION##/`head -1 debian/changelog | sed -e 's/[^(]*(\([^)]*\).*/\1/'`/g" > sed-script
+	@echo "s/##VERSION##/`head -n 1 debian/changelog | sed -e 's/[^(]*(\([^)]*\).*/\1/'`/g" > sed-script
 	cat sed-script
 
 	# Add here commands to install the package into debian/reportbug.
@@ -68,7 +68,7 @@
 #	dh_installemacsen
 #	dh_installinit
 	dh_installcron
-	dh_installmanpages
+	dh_installman querybts.1 reportbug.1
 #	dh_undocumented
 	dh_installchangelogs 
 	dh_link

## reportbug 3.15ubuntu2

=== debian/changelog ===
reportbug (3.15ubuntu2) breezy; urgency=low

  * Replace the Debian BTS specific message after sending the report with
    a Ubuntu specific one. Ubuntu #4658.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 12 Oct 2005 01:10:50 +0200

reportbug (3.15ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 21 Jul 2005 17:59:49 +0100

reportbug (3.15) unstable; urgency=low

  * Initialize recommends, so -V works again.  (Closes: #314715)
  * Improve wording of part of README.developers.  (Closes: #313418)
  * Don't execute bug scripts if --template is specified, since they may
    be interactive.  (Closes: #314695)

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 19 Jun 2005 22:32:54 -0500

reportbug (3.14) unstable; urgency=low

  * Fix package-status inclusion.  (Closes: #313421)
  * Recognize Ubuntu-origin entries in apt-cache policy output.

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 16 Jun 2005 16:42:21 -0500

reportbug (3.13) unstable; urgency=low

  * Fix redirects in urlutils under Python 2.4.  (Closes: #309671)
  * Really quit when using 'q' at editor prompt.  (Closes: #299425, #313516)
  * Skip vi nag if in template mode.  (Closes: #309717)
  * Fix grammar in "specify bug by number" message in querybts.
    (Closes: #310723)
  * Fix crash when bug control file contains both submit-as and
    report-with lines.  (Closes: #313403)
  * Include status for recommended packages as well.  (Closes: #310856)
  * Add support for including status of packages that aren't dependencies.
    (Closes: #313421)

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 14 Jun 2005 14:47:22 -0500

reportbug (3.12ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Scott James Remnant <scott@ubuntu.com>  Thu, 12 May 2005 12:52:10 +0100

reportbug (3.12) unstable; urgency=low

  * Really install French man page.  (Closes: #297998)
  * Add Japanese man page, from Ippei Tamura.  (Closes: #306955)
  * Fix typo in querybts man page.  (Closes: #306370)
  * Include /bin/sh symlink's target.  (Closes: #296421)
  * Send presubj messages through the pager.  (Closes: #294697)
  * Add upgrade-reports pseudo package.  (Closes: #294822)
  * Add 'q' to the editor prompt.  (Closes: #299425)
  * Use dlocate if available instead of dpkg --search.  (Closes: #289228)
  * Nag novice users if they use vi.  (Closes: #299172)
  * When calling an MTA, separate addresses with spaces rather than
    commas.  (Closes: #308293, #308543)
  
 -- Chris Lawrence <lawrencc@debian.org>  Tue, 10 May 2005 17:24:01 -0500

reportbug (3.11) unstable; urgency=low

  * Fix UnboundLocalError introduced in fix for 306343. (Closes: #306518)

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 27 Apr 2005 01:37:00 -0500

reportbug (3.10) unstable; urgency=low

  * Suppress package-provided information if --no-config-files is
    specified.  (Closes: #306343)

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 25 Apr 2005 22:33:24 -0500

reportbug (3.9) unstable; urgency=medium

  * Respect Bccs when using MTAs and MUAs; note that broken MUAs may fail
    to suppress the Bcc field when they send, and that's not my
    problem--blame the MUA author.  However, this code works around broken
    MTAs.  Note that smtphost behavior was correct in 3.8.
    (Closes: #298919, #297452)

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 20 Mar 2005 18:10:35 -0600

=== debian/rules ===
--- 
+++ 
@@ -68,7 +68,7 @@
 #	dh_installemacsen
 #	dh_installinit
 	dh_installcron
-	dh_installman querybts.1 reportbug.1
+	dh_installman querybts.1 reportbug.1 reportbug.fr.1 reportbug.ja.1
 #	dh_undocumented
 	dh_installchangelogs 
 	dh_link

## reportbug 3.18ubuntu1

=== debian/changelog ===
reportbug (3.18ubuntu1) dapper; urgency=low

  * resync with debian

 -- Reinhard Tartler <siretart@ubuntu.com>  Mon, 16 Jan 2006 10:57:51 +0100

reportbug (3.18) unstable; urgency=high

  * The "take this job and shove it" release.
  * Update smtphost setting for bug reporting.  reportbug now generates
    .reportbugrc files with 'bugs.debian.org' as the smtphost, and noisily
    overrides any 'master.debian.org' settings it sees.  (Closes: #338900)
  * s/kernel-image/linux-image/ (Closes: #336871)
  * Generate a Message-ID for every message sent by reportbug. 
    (Closes: #341325)

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 29 Nov 2005 23:29:24 -0500

eportbug (3.17ubuntu1) dapper; urgency=low

 * Resynchronise with Debian. (me)

 -- Scott James Remnant <scott@ubuntu.com>  Wed, 16 Nov 2005 23:57:18 +0000

reportbug (3.17) unstable; urgency=low

  * Validate package names.  Patch from Brett Smith.  (Closes: #325356)
  * Update parsing of BTS summary pages to omit "Summary" and "Options"
    headers.  (Closes: #325024, #324660)
  * Add security tag to critical/grave reports with security justifications,
    and X-Debbugs-CC security-tagged reports to team@security.debian.org.
    (Closes: #323374)

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 27 Aug 2005 22:38:17 -0400

reportbug (3.16) unstable; urgency=low

  * The "widows and orphans" release (aka hopefully the last release
    before I start hacking on reportbug 4).
  * Use mbox format when accessing the Debian BTS.  This will hopefully
    avoid breakage due to presentation changes--at least for report pages;
    summary pages are a different story.  (Closes: #322720 et al.)
    You will now see relevant mails to the control@b.d.o address too.
  * Don't store realname/email unless non-default on config run.
    (Closes: #324341)
  * Fix typo in orphaned-package message.  (Closes: #324006, #323070)
  * Fix WNPP reporting for orphaning packages.  (Closes: #323801)
  * vi nag now includes how to disable it.  (Closes: #322852)
  * Better handling for the case where $HOME doesn't exist during a
    config run.  (Closes: #323595)
  
 -- Chris Lawrence <lawrencc@debian.org>  Mon, 22 Aug 2005 01:57:31 -0400

=== debian/control ===
Source: reportbug
Section: utils
Priority: standard
Maintainer: Chris Lawrence <lawrencc@debian.org>
Standards-Version: 3.6.1
Build-Depends-Indep: debhelper (>> 4.2.28), python2.4

Package: reportbug
Architecture: all
Depends: python2.4
Suggests: postfix | exim4 | mail-transport-agent, gnupg | pgp, debconf-utils (>> 1.1.0), debsums, file (>> 1.30), dlocate
Description: reports bugs in the Debian distribution
 reportbug is a tool designed to make the reporting of bugs in Debian
 and derived distributions relatively painless.  Its features include:
 .
  * Integration with the mutt, af, and mh/nmh mail readers.
  * Access to outstanding bug reports to make it easier to identify
    whether problems have already been reported.
  * Automatic checking for newer versions of packages.
  * Optional automatic verification of integrity of packages via debsums.
  * Support for following-up on outstanding reports.
  * Optional PGP/GnuPG integration.
 .
 reportbug is designed to be used on systems with an installed mail
 transport agent, like exim or sendmail; however, you can edit the
 configuration file and send reports using any available mail server.
